source: neercs/trunk/configure.ac @ 2143

Last change on this file since 2143 was 2143, checked in by Sam Hocevar, 13 years ago
  • Require libcaca >= 0.99beta13.
  • Update event code to comply with the last API change.
File size: 1.3 KB
Line 
1# $Id: configure.ac 98 2006-09-22 16:27:37Z sam $
2
3AC_INIT(neercs, 0.0)
4
5AC_PREREQ(2.50)
6AC_CONFIG_SRCDIR(src/main.c)
7AC_CONFIG_AUX_DIR(autotools)
8AC_CANONICAL_SYSTEM
9
10AM_INIT_AUTOMAKE(neercs, 0.0)
11AM_CONFIG_HEADER(config.h)
12
13AM_PROG_CC_C_O
14AC_PROG_CPP
15
16dnl AC_PROG_EGREP only exists in autoconf 2.54+, so we use AC_EGREP_CPP right
17dnl now otherwise it might be set in an obscure if statement. Same thing for
18dnl PKG_PROG_PKG_CONFIG which needs to be called first.
19AC_EGREP_CPP(yes, foo)
20PKG_PROG_PKG_CONFIG()
21
22dnl Don't let pkg-config fuck our cross-compilation environment
23m4_pattern_allow([^PKG_CONFIG_LIBDIR$])
24if test "$build" != "$host" -a "${PKG_CONFIG_LIBDIR}" = ""; then
25  export PKG_CONFIG_LIBDIR=/dev/null
26fi
27
28CACA="no"
29PKG_CHECK_MODULES(CACA, caca >= 0.99.beta13,
30 [CACA="yes"],
31 [AC_MSG_RESULT(no)
32  AC_MSG_ERROR([you need libcaca version 0.99.beta13 or later])])
33
34AC_CHECK_HEADERS(stdio.h pty.h)
35
36AC_CHECK_LIB(util, forkpty, UTIL_LIBS="${UTIL_LIBS} -lutil")
37AC_SUBST(UTIL_LIBS)
38
39# Optimizations
40CFLAGS="${CFLAGS} -g -O2 -fno-strength-reduce -fomit-frame-pointer"
41# Code qui fait des warnings == code de porc == deux baffes dans ta gueule
42CFLAGS="${CFLAGS} -Wall -Wpointer-arith -Wcast-align -Wcast-qual -Wstrict-prototypes -Wshadow -Waggregate-return -Wmissing-prototypes -Wnested-externs -Wsign-compare"
43
44AC_OUTPUT([
45  Makefile
46  src/Makefile
47  data/Makefile
48])
49
Note: See TracBrowser for help on using the repository browser.